%define pypi_name tld

Name:       python-%{pypi_name}
Version:    0.13
Release:    %mkrel 3
Summary:    Extract the top-level domain (TLD) from the URL given
Group:      Development/Python
License:    GPLv2
URL:        https://pypi.org/project/tld
Source0:    %{pypi_source}
BuildArch:  noarch

%description
Extract the top level domain (TLD) from the URL given. List of TLD names is
taken from Mozilla.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Extract the top level domain (TLD) from the URL given. List of TLD names is
taken from Mozilla.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tld

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/update-tld-names


%changelog
* Sat Mar 01 2025 wally <wally> 0.13-3.mga10
+ Revision: 2156037
- rebuild for python3.13

* Sun Dec 17 2023 papoteur <papoteur> 0.13-2.mga10
+ Revision: 2018619
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 0.12.6-3.mga9
+ Revision: 1822978
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.12.6-2.mga9
+ Revision: 1778499
- Rebuild for python-3.10

* Sat Sep 25 2021 guillomovitch <guillomovitch> 0.12.6-1.mga9
+ Revision: 1746343
- new version 0.12.6

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.12.5-2.mga9
+ Revision: 1705082
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 0.12.5-1.mga9
+ Revision: 1691699
- new version 0.12.5

* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.12.3-1.mga8
+ Revision: 1649860
- new version 0.12.3

* Sun May 24 2020 guillomovitch <guillomovitch> 0.12.2-1.mga8
+ Revision: 1587248
- new version 0.12.2

* Sun Apr 26 2020 guillomovitch <guillomovitch> 0.12.1-1.mga8
+ Revision: 1572248
- new version 0.12.1

* Sun Apr 19 2020 guillomovitch <guillomovitch> 0.11.11-1.mga8
+ Revision: 1569842
- imported package python-tld

